StageVideo最低需求

在支援GPU(硬體)加速的裝置上,您可使用flash.media.StageVideo物件,直接在裝置硬體上處理視訊。

不同因素的組合決定了您可以使用StageVideo的時間和方式。 下表提供使用StageVideo時相關的一些要求和限制的快照。 這些規定和限制可能會有所變更。

平台 Windows和Mac OS
Flash播放器
  • 至少Flash10.1或更新版本
  • 針對軟體後援功能,請Flash15和更新版本
瀏覽器和 wmode設定

在Flash15中,設定 wmode= opaqueso,您就可以使用HTML覆蓋。

下列瀏覽器目前不支援硬體加速:

  • Microsoft Windows版Mozilla Firefox
  • Windows XP和Vista上26歲之前的Google Chrome及任何Chrome版本
  • Microsoft Internet Explorer(所有版本)
其他瀏覽器/作業系統組合可能會妨礙硬體加速的存取。 在這些情況下, StageVideo會回落至對效能有負面影響的軟體。

在Flash14和舊版中,如果瀏覽器不支援硬體加速,Flash播放器可直接演算至GPU,但設定 wmode= directto啟用此演算。

提示: 2009年以上的GPU驅動程式可能需要更新,因為這些驅動程式可能缺乏硬體加速支援。

NetStream對象 除非您將 NetStream物件附加至 StageVideo物件,否則不會傳送 StageVideoEvent.RENDER_STATE事件。

本頁內容